{
  "id": "8aff6564-9e88-40f3-ae6f-75d92654d7b0",
  "name": "BitBucket Publishing Test",
  "schemaVersion": "designs.meshery.io/v1beta1",
  "version": "0.0.2",
  "metadata": {
    "resolvedAliases": {}
  },
  "components": [
    {
      "id": "62724849-c804-4671-bbbb-f1dc0f3c51f6",
      "schemaVersion": "components.meshery.io/v1beta1",
      "version": "v1.0.0",
      "displayName": "",
      "description": "",
      "format": "JSON",
      "model": {
        "id": "6b49e0cc-6d83-f917-b2bd-30b69792bb20",
        "schemaVersion": "models.meshery.io/v1beta1",
        "version": "v1.0.0",
        "name": "meshery-core",
        "displayName": "Meshery Core",
        "status": "enabled",
        "registrant": {
          "id": "13df38ce-edc0-8c01-ed9f-0414912a43fd",
          "name": "meshery",
          "type": "registry",
          "sub_type": "",
          "kind": "meshery",
          "status": "registered",
          "created_at": "2025-10-05T18:43:13.289092767Z",
          "updated_at": "2025-10-05T18:43:13.289092767Z",
          "deleted_at": null,
          "schemaVersion": ""
        },
        "connection_id": "13df38ce-edc0-8c01-ed9f-0414912a43fd",
        "category": {
          "id": "9ca27d0d-66ce-42a9-8c85-6236563f2ddb",
          "name": "Orchestration \u0026 Management"
        },
        "subCategory": "Application Definition \u0026 Image Build",
        "metadata": {
          "isAnnotation": false,
          "primaryColor": "#00B39F",
          "secondaryColor": "#00D3A9",
          "shape": "circle",
          "styleOverrides": "",
          "svgColor": "ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg",
          "svgComplete": "",
          "svgWhite": "ui/public/static/img/meshmodels/meshery-core/white/meshery-core-white.svg"
        },
        "model": {
          "version": "0.7.2"
        },
        "components_count": 0,
        "relationships_count": 0,
        "components": null,
        "relationships": null
      },
      "styles": {
        "background-image": "none",
        "background-opacity": 0,
        "body-text": "BitBucket",
        "body-text-color": "#808080",
        "body-text-font-family": "Qanelas Soft",
        "body-text-font-size": 12,
        "body-text-font-weight": "400",
        "body-text-horizontal-align": "center",
        "body-text-text-decoration": "none",
        "body-text-vertical-align": "center",
        "border-color": "#808080",
        "border-style": "dashed",
        "border-width": 1,
        "data": {
          "label": ""
        },
        "height": 60,
        "opacity": 1,
        "padding": 6,
        "position": {
          "x": 753.5,
          "y": 459
        },
        "primaryColor": "#00B39F",
        "secondaryColor": "#FFDE00",
        "shape": "rectangle",
        "svgColor": "ui/public/static/img/meshmodels/meshery-core/color/textbox-color.svg",
        "svgComplete": "",
        "svgWhite": "ui/public/static/img/meshmodels/meshery-core/white/textbox-white.svg",
        "width": 180,
        "z-index": 1
      },
      "capabilities": [],
      "status": "enabled",
      "metadata": {
        "configurationUISchema": "",
        "genealogy": "",
        "hasInvalidSchema": true,
        "instanceDetails": null,
        "isAnnotation": true,
        "isNamespaced": false,
        "published": false
      },
      "configuration": {},
      "component": {
        "version": "core.meshery.io/v1alpha1",
        "kind": "TextBox",
        "schema": ""
      }
    },
    {
      "id": "31163ad7-68a7-4bd2-92d9-c3871e7e042e",
      "schemaVersion": "components.meshery.io/v1beta1",
      "version": "v1.0.0",
      "displayName": "",
      "description": "A collection of icons that symbolize programming languages, design tools, and development software.",
      "format": "JSON",
      "model": {
        "id": "d0f28e74-353d-2d2a-9c18-79568eb9f172",
        "schemaVersion": "models.meshery.io/v1beta1",
        "version": "v1.0.0",
        "name": "meshery-dev-icons",
        "displayName": "Dev Icons",
        "description": "A collection of engineering-centric icons",
        "status": "enabled",
        "registrant": {
          "id": "13df38ce-edc0-8c01-ed9f-0414912a43fd",
          "name": "meshery",
          "type": "registry",
          "sub_type": "",
          "kind": "meshery",
          "status": "registered",
          "created_at": "2025-10-05T18:43:28.959161906Z",
          "updated_at": "2025-10-05T18:43:28.959161906Z",
          "deleted_at": null,
          "schemaVersion": ""
        },
        "connection_id": "13df38ce-edc0-8c01-ed9f-0414912a43fd",
        "category": {
          "id": "9ca27d0d-66ce-42a9-8c85-6236563f2ddb",
          "name": "Orchestration \u0026 Management"
        },
        "subCategory": "Application Definition \u0026 Image Build",
        "metadata": {
          "isAnnotation": true,
          "primaryColor": "#00B39F",
          "secondaryColor": "#00D3A9",
          "shape": "circle",
          "styleOverrides": "",
          "svgColor": "ui/public/static/img/meshmodels/meshery-dev-icons/color/meshery-dev-icons-color.svg",
          "svgComplete": "",
          "svgWhite": "ui/public/static/img/meshmodels/meshery-dev-icons/white/meshery-dev-icons-white.svg"
        },
        "model": {
          "version": "0.7.2"
        },
        "components_count": 0,
        "relationships_count": 0,
        "components": null,
        "relationships": null
      },
      "styles": {
        "background-opacity": 0,
        "body-text": "t",
        "body-text-color": "#808080",
        "body-text-font-family": "Qanelas Soft",
        "body-text-font-size": 12,
        "body-text-font-weight": "400",
        "body-text-horizontal-align": "center",
        "body-text-text-decoration": "none",
        "body-text-vertical-align": "center",
        "border-width": 0,
        "data": {
          "label": ""
        },
        "height": 24,
        "opacity": 1,
        "padding": 6,
        "position": {
          "x": 637,
          "y": 355
        },
        "primaryColor": "#00B39F",
        "secondaryColor": "#00D3A9",
        "shape": "circle",
        "svgColor": "ui/public/static/img/meshmodels/meshery-dev-icons/color/bitbucket-color.svg",
        "svgComplete": "ui/public/static/img/meshmodels/meshery-dev-icons/complete/bitbucket-complete.svg",
        "svgWhite": "ui/public/static/img/meshmodels/meshery-dev-icons/white/bitbucket-white.svg",
        "width": 24,
        "z-index": 0
      },
      "capabilities": [],
      "status": "enabled",
      "metadata": {
        "configurationUISchema": "",
        "genealogy": "",
        "hasInvalidSchema": true,
        "instanceDetails": null,
        "isAnnotation": true,
        "isNamespaced": false,
        "published": false
      },
      "configuration": {},
      "component": {
        "version": "",
        "kind": "bitbucket",
        "schema": ""
      }
    }
  ],
  "relationships": []
}